# $Id: Makefile.am 28177 2025-06-26 09:30:00Z yeti-dn $

SUBDIRS = \
	build-aux \
	m4 \
	libgwyddion \
	libgwyui \
	libgwyapp \
	gwyddion \
	modules \
	tests \
	po \
	pixmaps \
	data \
	utils \
	thumbnailer \
	devel-docs

EXTRA_DIST = \
	autogen.sh \
	gwyddion3.spec

DISTCLEANFILES = gwyconfig3.h

DISTCHECK_CONFIGURE_FLAGS = \
	--enable-gtk-doc \
	--enable-pygwy \
	--enable-maintainer-mode \
	--disable-desktop-file-update

ACLOCAL_AMFLAGS = -I m4

if MAINTAINER_MODE
dist-check-maintainer:
else
dist-check-maintainer:
	@echo "*** maintainer mode must be enabled in order to make dist"
	@false
endif

libgwy3includedir = $(includedir)/gwyddion3
libgwy3include_HEADERS = gwy.h

configexecincludedir = $(libdir)/gwyddion3/include
configexecinclude_DATA = gwyconfig3.h

.PHONY: docs
